#ifndef COMPONENTS_TOUTF8_TABLE_GEN_H
#define COMPONENTS_TOUTF8_TABLE_GEN_H

namespace ToUTF8
{


/// Central European and Eastern European languages that use Latin script,
/// such as Polish, Czech, Slovak, Hungarian, Slovene, Bosnian, Croatian,
/// Serbian (Latin script), Romanian and Albanian.
static char windows_1250[] =
{
    (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x8, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x9, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xa, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xb, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xc, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xd, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xe, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xf, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x10, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x11, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x12, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x13, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x14, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x15, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x16, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x17, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x18, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x19, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x21, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x22, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x23, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x24, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x25, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x26, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x27, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x28, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x29, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x30, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x31, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x32, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x33, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x34, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x35, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x36, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x37, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x38, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x39, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x40, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x41, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x42, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x43, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x44, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x45, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x46, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x47, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x48, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x49, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x50, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x51, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x52, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x53, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x54, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x55, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x56, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x57, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x58, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x59, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x60, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x61, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x62, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x63, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x64, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x65, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x66, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x67, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x68, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x69, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x70, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x71, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x72, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x73, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x74, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x75, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x76, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x77, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x78, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x79, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x82, (char)0xac, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9a, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9e, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa6, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa1, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb9, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xb9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0x98, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x99, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9c, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9d, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x93, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x94, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x84, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xba, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x81, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x9e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xac, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x85, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x9f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x9d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xbc, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x94, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x81, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0xb9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x86, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x8c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x89, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x8e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x90, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x83, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x93, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x94, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x90, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x96, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x97, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x95, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x83, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x8d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x99, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x8f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc4, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x88, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x99, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xaf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbc, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x99, (char)0x0, (char)0x0, (char)0x0
};

/// Cyrillic alphabet such as Russian, Bulgarian, Serbian Cyrillic
/// and other languages
static char windows_1251[] =
{
    (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x8, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x9, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xa, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xb, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xc, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xd, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xe, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xf, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x10, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x11, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x12, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x13, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x14, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x15, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x16, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x17, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x18, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x19, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x21, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x22, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x23, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x24, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x25, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x26, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x27, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x28, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x29, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x30, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x31, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x32, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x33, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x34, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x35, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x36, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x37, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x38, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x39, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x40, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x41, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x42, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x43, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x44, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x45, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x46, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x47, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x48, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x49, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x50, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x51, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x52, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x53, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x54, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x55, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x56, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x57, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x58, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x59, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x60, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x61, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x62, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x63, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x64, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x65, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x66, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x67, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x68, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x69, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x70, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x71, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x72, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x73, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x74, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x75, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x76, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x77, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x78, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x79, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x83, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9a, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x93, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9e, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa6, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa1, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x82, (char)0xac, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x89, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb9, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x8a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x8c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x8b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x8f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x92, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x98, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x99, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9c, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9d, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x93, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x94, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x84, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x99, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xba, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x9c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x9f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x8e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x9e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x88, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd2, (char)0x90, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x81, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xac, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x86, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x96, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd2, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x84, (char)0x96, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x94, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x85, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x95, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x97, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x90, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x92, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x93, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x94, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x95, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x96, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x97, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x99, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0x9f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xaa, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xac, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xaf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xb9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xbc, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd0, (char)0xbf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x80, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x81, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x83, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x85, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x86, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x88, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x89, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xd1, (char)0x8f, (char)0x0, (char)0x0, (char)0x0
};

/// Latin alphabet used by English and some other Western languages
static char windows_1252[] =
{
    (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x8, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x9, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xa, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xb, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xc, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xd, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xe, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0xf, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x10, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x11, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x12, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x13, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x14, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x15, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x16, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x17, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x18, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x19, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x1f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x21, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x22, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x23, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x24, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x25, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x26, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x27, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x28, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x29, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x2f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x30, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x31, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x32, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x33, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x34, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x35, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x36, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x37, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x38, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x39, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x3f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x40, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x41, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x42, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x43, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x44, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x45, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x46, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x47, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x48, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x49, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x4f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x50, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x51, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x52, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x53, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x54, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x55, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x56, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x57, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x58, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x59, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x5f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x60, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x61, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x62, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x63, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x64, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x65, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x66, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x67, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x68, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x69, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x6f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x70, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x71, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x72, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x73, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x74, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x75, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x76, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x77, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x78, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x79, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7a, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7b, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7c, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7d, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7e, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x7f, (char)0x0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x82, (char)0xac, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9a, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc6, (char)0x92, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9e, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa6, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa1, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x86, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xb9, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x92, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x2, (char)0xc5, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x3, (char)0xe2, (char)0x80, (char)0x98, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x99, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9c, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x9d, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x93, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0x94, (char)0x0, (char)0x0,
    (char)0x2, (char)0xcb, (char)0x9c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x84, (char)0xa2, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x3, (char)0xe2, (char)0x80, (char)0xba, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0x93, (char)0x0, (char)0x0, (char)0x0,
    (char)0x1, (char)0x20, (char)0x0, (char)0x0, (char)0x0, (char)0x0, // not part of this charset
    (char)0x2, (char)0xc5, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc5, (char)0xb8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xaa, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xac, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xaf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xb9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbc, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc2, (char)0xbf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x80, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x81, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x82, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x83, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x84, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x85, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x86, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x87, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x88, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x89, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x8f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x90, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x91, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x92, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x93, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x94, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x95, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x96, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x97, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x98, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x99, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9a, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9b, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9c, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9d, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9e, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0x9f, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xa9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xaa, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xab, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xac, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xad, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xae, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xaf, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb0, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb1, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb2, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb3, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb4, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb5, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb6, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb7, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb8, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xb9, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xba, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbb, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbc, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbd, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbe, (char)0x0, (char)0x0, (char)0x0,
    (char)0x2, (char)0xc3, (char)0xbf, (char)0x0, (char)0x0, (char)0x0
};

}

#endif

